Recent

Author Topic: Fpcupdeluxe  (Read 361549 times)

Mi-Ki

  • New Member
  • *
  • Posts: 28
Re: Fpcupdeluxe
« Reply #1365 on: August 25, 2019, 01:15:13 pm »
Hi
I'm a beginner in Lazarus.
I have Raspberry 4 4GB RAM - raspbian-buster
CONF_SWAPSIZE=1024

Download Release v1.6.2x of fpcupdeluxe - fpcupdeluxe-arm-linux
copy to /home/pi/fpcupdeluxe/
run terminal /home/pi/LazDeluxe/fpcupdeluxe-arm-linux
I click on stable.
I am doing something wrong?
Not there - Package - Online package manager.

I'm using a component DateTimeCtrls
https://i.postimg.cc/Fzq2HwjJ/date.png
Not in the component panel  %)

af0815

  • Sr. Member
  • ****
  • Posts: 346
Re: Fpcupdeluxe
« Reply #1366 on: August 26, 2019, 09:09:34 am »
Hi
I'm a beginner in Lazarus.
....
I am doing something wrong?
Not there - Package - Online package manager.
See
https://wiki.freepascal.org/Online_Package_Manager
https://wiki.freepascal.org/Install_Packages

at start with Lazarus, it is a good point to search in forum and Lazarus/Freepascal Wiki.

And fpcupdeluxe <> OPM. Fpcupdeluxe is to install the compiler and IDE. And OPM is to install packages into the IDE AFTER using fpcupdeluxe and INSIDE of Lazarus. Do not mixing this two complete different steps/tasks. You must have a running Lazarus to use OPM. And according to the Install_Packages you have to install OPM.
« Last Edit: August 26, 2019, 09:11:39 am by af0815 »
regards
Andreas

jshah

  • Full Member
  • ***
  • Posts: 182
Re: Fpcupdeluxe
« Reply #1367 on: August 27, 2019, 11:09:21 pm »
I have installed lazarus 2.0.2
Not there - Package - Online package manager  %)

Try installing from Install/uninstall Package

I think package ship with Lazarus but you have to install in IDE.

avra

  • Hero Member
  • *****
  • Posts: 1685
    • Additional info
Re: Fpcupdeluxe
« Reply #1368 on: September 15, 2019, 03:35:19 pm »
I have to apply -vut for FPC compilation on fresh Lazarus created with help of fpcupdeluxe. Is attached screenshot all I need to do? How can I check if it was really applied? Should -vut end up in FPC.CFG at the end or not? I do not find it there.

Btw1. Is there some special reason why "Include Help" fpcupdeluxe option is not checked on by default? I find my self forgetting to check it and later dumping whole installation just because it's not there...

Btw2. I find that updating existing fpcupdeluxe rarely works when I have many packages installed. It much more often fails in producing Lazarus executable then being successful, and I find my self I have to start from scratch again. What is your experience?
ct2laz - Conversion between Lazarus and CodeTyphon
bithelpers - Bit manipulation for standard types
pasettimino - Siemens S7 PLC lib

af0815

  • Sr. Member
  • ****
  • Posts: 346
Re: Fpcupdeluxe
« Reply #1369 on: September 15, 2019, 07:13:30 pm »
It doesnt depend on fpcupdeluxe. In the past i run often in the the problem with incompatible ppu or a problem with packages, if i try a clean build of lazarus itself. A special candidate for me was the indy package, i must compile it in the package twice to get it working. Actual it works, but i have rduced the package to an absolute minimum and create a new fpc,/lazarus for testing packages.
regards
Andreas

jshah

  • Full Member
  • ***
  • Posts: 182
Re: Fpcupdeluxe
« Reply #1370 on: September 26, 2019, 03:36:05 pm »
When next version of fpcupdeluxe will be available ???

devEric69

  • Full Member
  • ***
  • Posts: 137
Re: Fpcupdeluxe
« Reply #1371 on: September 26, 2019, 07:38:57 pm »
Hi,

I don't know if I'm off topic, but Fpcupdeluxe seems to duplicate the work of onlinePackageManager.

It seems to me - but I may be wrong - that he could (perhaps) simplify hitself, focusing only on its role as an installer (which it does very well via SVN, which avoids a possible mix of *.deb for *nix's users) of 3 things:
- install a combination of FCP and Lazarus, on the development machine.
- install onlinePackageManager (who knows very well how to offer the packages available from the IDE).
- continue to propose other target cross-compilers's installation(s).

(1 cent; my feeling is not worth more than that :) )
« Last Edit: September 26, 2019, 07:42:16 pm by devEric69 »
use: Ubuntu 18.04 + Laz. 1.8.5 + FPC 3.0.5 (64 bits).

Renat.Su

  • Full Member
  • ***
  • Posts: 146
    • Renat.Su
Re: Fpcupdeluxe
« Reply #1372 on: September 27, 2019, 01:17:34 pm »
Quote from: devEric69 link=topic=34645.msg334711#msg334711
It seems to me - but I may be wrong - that he could (perhaps) simplify hitself, focusing only on its role as an installer (which it does very well via SVN, which avoids a possible mix of *.deb for *nix's users) of 3 things:
- install a combination of FCP and Lazarus, on the development machine.
- install onlinePackageManager (who knows very well how to offer the packages available from the IDE).
- continue to propose other target cross-compilers's installation(s).
Thanks to the developers of the fpcupdeluxe! And I am agree with post above

JdeHaan

  • New Member
  • *
  • Posts: 24
Re: Fpcupdeluxe
« Reply #1373 on: October 08, 2019, 09:39:53 am »
I installed MacOs Catalina, and now get an error msg when trying to start a freshly downloaded latest version of:

Release v1.6.2x of fpcupdeluxe
fpcupdeluxe-x86_64-darwin-cocoa.zip

Error msg: The application "fpcupdeluxe-x86_64-darwin-cocoa" can't be opened.

Any idea/solution?

josh

  • Hero Member
  • *****
  • Posts: 754
Re: Fpcupdeluxe
« Reply #1374 on: October 10, 2019, 11:21:40 am »
Just updated to Catalina, and lates Xcode.

Tried fresh install of las and fps trunk, in new folder and get errors

Code: [Select]
(1010) Writing Resource String Table file: fperrormessages.rsj
/Users/josh/lazarus_trunk_cocoa_64/lazarus/components/fpdebug/fpdmemorytools.pas(1302,35) Error: (4057) Can't determine which overloaded function to call
fpdmemorytools.pas(1466) Fatal: (10026) There were 1 errors compiling module, stopine is not inlined
/Users/josh/lazarus_trunk_cocoa_64/lazarus/components/fpdebug/fpdmemorytools.pas(1302,35) Error: (4057) Can't determine which overloaded function to call
ping
Fatal: (1018) Compilation aborted
Error: /Users/josh/lazarus_trunk_cocoa_64/fpc/bin/x86_64-darwin/ppcx64 returned an error exitcode
Error: (lazarus) Compile package fpdebug 0.0: stopped with exit code 1
/Users/josh/lazarus_trunk_cocoa_64/lazarus/compoing
Fatal: (1018) Compilation aborted
Error: /Users/josh/lazarus_trunk_cocoa_64/fpc/bin/x86_64-darwin/ppcx64 returned an error exitcode
Error: (lazarus) Compile package fpdebug 0.0: stopped with exit code 1

/Users/josh/lazarus_tr
Error: (lazarus) Compile package LazDebuggerLldb 0.0: terminated
Error: (lazarus) Compile package LCL 2.1: terminated
Error: (lazarus) [TLazPackageGraph.CompileRequiredPackages] "Exit code 1"
gerLldb 0.0: terminated
Error: (lazarus) Compile package LCL 2.1: terminated
Error: (lazarus) [TLazPackageGraph.CompileRequiredPackages] "Exit code 1"

Error: (lazarus) Building IDE: Compile AutoInstall Packages failed.
make: *** [useride] Error 2
rror: (lazarus) Building IDE: Compile AutoInstall Packages failed.
make: *** [useride] Error 2


fpcupdeluxe: ERROR: UniversalInstaller (ConfigModule: suggestedpackages): Failure trying to rebuild Lazarus.
Details:
fpcupdeluxe: info: UniversalInstaller (ConfigModule: suggestedpackages): Changing default LCL_platforms for build-profiles in miscellaneousoptions.xml to build for cocoa
fpcupdeluxe: info: UniversalInstaller (ConfigModule: suggestedpackages): Changing default LCL_platforms for build-profiles in miscellaneousoptions.xml to build for cocoa
fpcupdeluxe: info: UniversalInstaller (ConfigModule: suggestedpackages): Changing default LCL_platforms for build-profiles in miscellaneousoptions.xml to build for cocoa
fpcupdeluxe: info: UniversalInstaller (ConfigModule: suggestedpackages): Changing default LCL_platforms for build-profiles in miscellaneousoptions.xml to build for cocoa


ERROR: Fpcupdeluxe fatal error !
Development Installation Lazarus 1.3, FPC 2.7.1,Windows 7/8 32/64, OSX, *nix

Test Environment Lazarus & FPC Trunk on Windows and OSX (Cocoa Mainly on OSX). Testing also Crosscompile windows to OSX.. 
Any posts made from 2015 will be based on Lazarus Trunk.

valdir.marcos

  • Hero Member
  • *****
  • Posts: 821
Re: Fpcupdeluxe
« Reply #1375 on: October 10, 2019, 03:42:30 pm »
FPCUPdeluxe V1.6.2h for i386-win32-win32
Error on building Lazarus 2.0.x fixes and FPC 3.2.x fixes on Windows 7 since yesterday:
Code: [Select]
(3104) Compiling memdslaz.pas
(3104) Compiling frmselectdataset.pp
(1010) Writing Resource String Table file: reglazdaemon.rsj
(3104) Compiling lazdaemonapp.pp
(1008) 324 lines compiled, 1.5 sec
(1022) 3 hint(s) issued
(1010) Writing Resource String Table file: frmselectdataset.rsj
(1002) Target OS: Win32 for i386
(3104) Compiling instantfpclaz.pas
(3104) Compiling instantfpcregisterlaz.pas
(1008) 210 lines compiled, 1.6 sec
(1022) 3 hint(s) issued
(1002) Target OS: Win32 for i386
(3104) Compiling lazcontroldsgn.pas
(3104) Compiling registerlazcontrols.pas
(1010) Writing Resource String Table file: instantfpcregisterlaz.rsj
(1008) 180 lines compiled, 1.5 sec
(1022) 5 hint(s) issued
(1008) 154 lines compiled, 1.3 sec
(1022) 2 hint(s) issued
(1002) Target OS: Win32 for i386
(3104) Compiling dbflaz.pas
(3104) Compiling registerdbf.pas
(1002) Target OS: Win32 for i386
(3104) Compiling sdflaz.pas
(3104) Compiling registersdf.pas
(1008) 59 lines compiled, 0.6 sec
(1022) 2 hint(s) issued
(1010) Writing Resource String Table file: registerdbf.rsj
(1008) 90 lines compiled, 1.7 sec
(1022) 2 hint(s) issued
C:/fpcupdeluxe/fpc/bin/i386-win32/make -C ide cleanide
C:/fpcupdeluxe/fpc/bin/i386-win32/make -C ide cleanide
make[1]: *** No rule to make target `cleanide ide'.  Stop.
Error: (lazarus) Build IDE: stopped with exit code 2
Error: (lazarus) Building IDE: Building IDE failed.
make: *** [useride] Error 2
fpcupdeluxe: ERROR: LazarusNativeInstaller (BuildModuleCustom: UserIDE): make.exe returned error code #2


ERROR: Fpcupdeluxe fatal error !

Alextp

  • Hero Member
  • *****
  • Posts: 868
    • UVviewsoft
Re: Fpcupdeluxe
« Reply #1376 on: October 13, 2019, 04:25:56 pm »
1.6.2h is too old, get the last 1.6.2y.

DonAlfredo

  • Hero Member
  • *****
  • Posts: 1122
Re: Fpcupdeluxe
« Reply #1377 on: October 13, 2019, 04:30:23 pm »
For all users of fpcupdeluxe.

I have been away for a while ...  O:-)
Will start working on fpcupdeluxe again.
And try to solve the issues reported here, as well as on Github.
Sorry for all the delays.

valdir.marcos

  • Hero Member
  • *****
  • Posts: 821
Re: Fpcupdeluxe
« Reply #1378 on: Today at 08:06:11 am »
1.6.2h is too old, get the last 1.6.2y.
That same day I've done that.
No difference. Same error.

Solution: deleting fpcupdeluxe's folder and starting from scratch both on h and y versions.

valdir.marcos

  • Hero Member
  • *****
  • Posts: 821
Re: Fpcupdeluxe
« Reply #1379 on: Today at 08:22:43 am »
Just a strange behavior: Object Inspector was not opened by default on first run. See attached image.Solved by pressing F11.
Very small issue still persists on version 1.6.2y for Lazarus fixes_2_0 and FPC fixes_3_2.